Create Trusted By metadata
Create a Trusted By entry. The `content` permission is required. Badge uploads are performed separately via `/api/v1/trusted-by/{id}/badge`.
Create a Trusted By entry. The content permission is required. Badge uploads are performed separately via /api/v1/trusted-by/{id}/badge.
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
At least one of title, url, or hasBadge must be present.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/trusted-by" \ -H "Content-Type: application/json" \ -d '{ "title": "Acme Corp", "url": "https://acme.example.com", "order": 10, "variant_options": [ "option-cloud", "option-eu" ] }'{ "success": true, "data": { "id": "customer-789", "uploadUrls": { "badge": "/api/v1/trusted-by/customer-789/badge" } }}How is this guide?